Functions
XQSPI operation functions
Peripheral Driver » HAL Driver » XQSPI » Functions

Data transfers functions. More...

Collaboration diagram for XQSPI operation functions:

## Functions
hal_status_t | hal_xqspi_command_transmit (xqspi_handle_t *p_xqspi, xqspi_command_t *p_cmd, uint8_t *p_data, uint32_t retry)
| Transmit an amount of data with specified instruction and address in blocking mode. More...
hal_status_t | hal_xqspi_command_receive (xqspi_handle_t *p_xqspi, xqspi_command_t *p_cmd, uint8_t *p_data, uint32_t retry)
| Receive an amount of data with specified instruction and address in blocking mode. More...
hal_status_t | hal_xqspi_transmit (xqspi_handle_t *p_xqspi, uint8_t *p_data, uint32_t length, uint32_t retry)
| Transmit an amount of data in blocking mode. More...
hal_status_t | hal_xqspi_receive (xqspi_handle_t *p_xqspi, uint8_t *p_data, uint32_t length, uint32_t retry)
| Receive an amount of data in blocking mode. More...

## Detailed Description

Data transfers functions.

      ==============================================================================
                          ##### XQSPI operation functions #####
     ===============================================================================
     [..]
        This subsection provides a set of functions allowing to manage the XQSPI
        data transfers.

        [..] The XQSPI supports master and slave mode:

        (#) There are one modes of transfer:
           (++) Blocking mode: The communication is performed in polling mode.
                The HAL status of all data processing is returned by the same function
                after finishing transfer.

        (#) APIs provided for only one transfer mode (Blocking mode)
            exist for 1Line/2Line/4Line (simplex) modes.

## Function Documentation

## ◆ hal_xqspi_command_receive()

hal_status_t hal_xqspi_command_receive | ( | xqspi_handle_t * | p_xqspi,
|  | xqspi_command_t * | p_cmd,
|  | uint8_t * | p_data,
|  | uint32_t | retry
| ) |  |

Receive an amount of data with specified instruction and address in blocking mode.

Note
  This function is used only in Indirect Write Mode.

Parameters

  [in] | p_xqspi | Pointer to an XQSPI handle which contains the configuration information for the specified XQSPI module.
  [in] | p_cmd | Pointer to a xqspi_command_t structure that contains the instruction and address for data transfer.
  [out] | p_data | Pointer to data buffer
  [in] | retry | Repeat times

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_xqspi_command_transmit()

hal_status_t hal_xqspi_command_transmit | ( | xqspi_handle_t * | p_xqspi,
|  | xqspi_command_t * | p_cmd,
|  | uint8_t * | p_data,
|  | uint32_t | retry
| ) |  |

Transmit an amount of data with specified instruction and address in blocking mode.

Note
  This function is used only in Indirect Write Mode.

Parameters

  [in] | p_xqspi | Pointer to an XQSPI handle which contains the configuration information for the specified XQSPI module.
  [in] | p_cmd | Pointer to a xqspi_command_t structure that contains the instruction and address for data transfer.
  [in] | p_data | Pointer to data buffer
  [in] | retry | Repeat times

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_xqspi_receive()

hal_status_t hal_xqspi_receive | ( | xqspi_handle_t * | p_xqspi,
|  | uint8_t * | p_data,
|  | uint32_t | length,
|  | uint32_t | retry
| ) |  |

Receive an amount of data in blocking mode.

Note
  This function is used only in Indirect Read Mode, only in standard SPI mode.

Parameters

  [in] | p_xqspi | Pointer to an XQSPI handle which contains the configuration information for the specified XQSPI module.
  [out] | p_data | Pointer to data buffer
  [in] | length | Amount of data to be received in bytes
  [in] | retry | Repeat times

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_xqspi_transmit()

hal_status_t hal_xqspi_transmit | ( | xqspi_handle_t * | p_xqspi,
|  | uint8_t * | p_data,
|  | uint32_t | length,
|  | uint32_t | retry
| ) |  |

Transmit an amount of data in blocking mode.

Note
  This function is used only in Indirect Write Mode, only in standard SPI mode.

Parameters

  [in] | p_xqspi | Pointer to an XQSPI handle which contains the configuration information for the specified XQSPI module.
  [in] | p_data | Pointer to data buffer
  [in] | length | Amount of data to be sent in bytes
  [in] | retry | Repeat times

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.